Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594546 - [Intel 5.6 Bug] CPU synchronization required when doing MTRR register update
[Intel 5.6 Bug] CPU synchronization required when doing MTRR register update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: 5.6
Assigned To: Don Dugger
chen yuwen
:
Depends On:
Blocks: 514489 557597 576676
  Show dependency treegraph
 
Reported: 2010-05-20 21:09 EDT by Don Dugger
Modified: 2014-07-24 23:23 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 594545
Environment:
Last Closed: 2011-01-13 16:33:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hypervisor patch (5.21 KB, patch)
2010-05-27 22:26 EDT, Don Dugger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description Don Dugger 2010-05-20 21:09:38 EDT
+++ This bug was initially created as a clone of Bug #594545 +++

Description of problem:
(Just as the kernel suffers from this problem so does the Xen hypervisor.)

Starting from Westmere, VMX transitions with cr0.cd=1 don't work properly (because of some VMX performance optimizations) and the scenario where one logical cpu is doing VMX activity and another logical cpu coming online can result in system crash.

Fortunately, the only time that cr0.cd is set to one is during MTRR updates so the kernel needs to bring all CPUs to a rendezvous, do the MTRR update and then resume all the CPUs.

The upstream Linux kernel has solved this problem with the patch:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=d0af9eed5aa91b6b7b5049cae69e5ea956fd85c3

so this patch set needs to be back ported to the RHEL 5.6 kernel.
Comment 1 RHEL Product and Program Management 2010-05-21 07:41:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Don Dugger 2010-05-26 17:26:28 EDT
About the bug description, the Xen patches are actually at:

http://xenbits.xensource.com/xen-unstable.hg?rev/cd46b418d171
Comment 3 Don Dugger 2010-05-27 22:26:41 EDT
Created attachment 417442 [details]
Hypervisor patch

This is the actual Xen hypervisor patch that needs to be backported.
Comment 5 Jarod Wilson 2010-08-12 22:24:04 EDT
in kernel-2.6.18-212.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 8 chen yuwen 2010-12-31 01:14:50 EST
Confirmed patch in kernel 2.6.18-212.el5.
Setting SanityOnly.
Comment 10 errata-xmlrpc 2011-01-13 16:33:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.